"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (parent, parameters, ctx) => __awaiter(void 0, void 0, void 0, function* () {
    const dataRequest = parent.searchkit.dataRequest;
    dataRequest.setFacets(true);
    dataRequest.setFacetsCriteria([
        { identifier: parameters.identifier, query: parameters.query, size: parameters.size }
    ]);
    try {
        const response = yield dataRequest.search();
        return response.facets.find((facet) => facet.identifier === parameters.identifier);
    }
    catch (e) {
        throw e;
    }
});
